using System;
using System.Collections.Generic;

namespace Localization
{
    public class Transaction
    {
        public string Name { get; set; }
        public DateTime Date { get; set; }
        public decimal Amount { get; set; }
        public bool Paid { get; set; }

        public static List<Transaction> GetTransactions()
        {
            List<Transaction> transactions = new List<Transaction>{
                new Transaction { Name = "Cleaners", Amount = 35.32M, Date = new DateTime(2007, 10, 18), Paid = false },
                new Transaction { Name = "Movies", Amount = 22.00M, Date = new DateTime(2007, 11, 30), Paid = true },
                new Transaction { Name = "Gas", Amount = 43.16M, Date = new DateTime(2007, 9, 11), Paid = false },
                new Transaction { Name = "Groceries", Amount = 127.56M, Date = new DateTime(2007, 11, 04), Paid = false },
                new Transaction { Name = "Liquor Store", Amount = 41.69M, Date = new DateTime(2007, 12, 25), Paid = true },
                new Transaction { Name = "Book Store", Amount = 35.98M, Date = new DateTime(2007, 8, 13), Paid = true }};
            return transactions;
        }
    }
}
